#
# Conditional build:
%bcond_without	static_libs	# don't build static libraries
#
Summary:	nPth - New GNU Portable Threads Library
Summary(pl.UTF-8):	nPth - nowa przenośna biblioteka wątków GNU
Name:		npth
Version:	1.6
Release:	1
License:	LGPL v2.1+
Group:		Libraries
Source0:	ftp://ftp.gnupg.org/gcrypt/npth/%{name}-%{version}.tar.bz2
# Source0-md5:	375d1a15ad969f32d25f1a7630929854
URL:		https://www.gnupg.org/software/npth/
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
nPth is the New GNU Portable Threads Library. This is a library to
provide the GNU Pth API and thus a non-preemptive threads
implementation.

In contrast to GNU Pth it is based on the system's standard threads
implementation. This allows the use of libraries which are not
compatible to GNU Pth. Experience with a Windows Pth emulation showed
that this is a solid way to provide a co-routine based framework.

%description -l pl.UTF-8
nPth (New GNU Portable Threads Library) to nowa przenośna biblioteka
wątków GNU. Jej celem jest dostarczenie API GNU Pth, a tym samym
implementacji niewywłaszczalnych wątków.

W przeciwieństwie do GNU Pth jest oparta na standardowej systemowej
implementacji wątków. Pozwala to na używanie bibliotek
niekompatybilnych z GNU Pth (doświadczenia z emulacją Pth na Windows
pokazały, że to jest solidna metoda zapewnienia szkieletu opartego na
korutynach).

%package devel
Summary:	Header files for nPth library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki nPth
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for nPth library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki nPth.

%package static
Summary:	Static nPth library
Summary(pl.UTF-8):	Statyczna biblioteka nPth
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static nPth library.

%description static -l pl.UTF-8
Statyczna biblioteka nPth.

%prep
%setup -q

%build
%configure \
	%{?with_static_libs:--enable-static}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libnpth.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libnpth.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/npth-config
%attr(755,root,root) %{_libdir}/libnpth.so
%{_libdir}/libnpth.la
%{_includedir}/npth.h
%{_aclocaldir}/npth.m4

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libnpth.a
%endif
%changelog
* Mon Oct 22 2018 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/npth.git;a=log;h=master

* Wed Aug 22 2018 Jakub Bogusz <qboosh@pld-linux.org> 4a7b721
- updated to 1.6

* Tue Jun 06 2017 Jakub Bogusz <qboosh@pld-linux.org> 52265c9
- updated to 1.5

* Thu May 18 2017 Jakub Bogusz <qboosh@pld-linux.org> 851986e
- updated to 1.4; LGPL v2.1+ now

* Sun Apr 09 2017 Jakub Bogusz <qboosh@pld-linux.org> 3bd7e03
- added URL

* Sun Nov 27 2016 Jakub Bogusz <qboosh@pld-linux.org> 53e8034
- updated to 1.3

* Sat Apr 18 2015 Jakub Bogusz <qboosh@pld-linux.org> 02f32cf
- updated to 1.2

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> 0ef237d
- x32 rebuild
- release 2 (by relup.sh)

* Sun Nov 02 2014 Jakub Bogusz <qboosh@pld-linux.org> 395fb98
- updated to 1.1

* Thu Oct 02 2014 Jakub Bogusz <qboosh@pld-linux.org> fc3e45a
- updated to 1.0

* Wed Aug 29 2012 Jakub Bogusz <qboosh@pld-linux.org> fb038a4
- updated to 0.91

* Thu Jun 14 2012 Jakub Bogusz <qboosh@pld-linux.org> 77f4091
- new

